Bug 587568 - broken or deprecated mime type
Summary: broken or deprecated mime type
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase3   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
: 654368 (view as bug list)
Depends On: 1028849
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 09:47 UTC by Rudolf Kastl
Modified: 2014-01-22 23:05 UTC (History)
11 users (show)

Fixed In Version: kdebase3-3.5.10-33.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 23:05:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 631274 None None None Never

Description Rudolf Kastl 2010-04-30 09:47:07 UTC
Description of problem:
Error in file "/usr/share/applications/kde/printers.desktop": "print/manager" is an invalid MIME type ("print" is an unregistered media type)

Version-Release number of selected component (if applicable):
kdebase3-3.5.10-16.fc13.x86_64

Comment 1 Bug Zapper 2010-07-30 11:31:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Dave Shield 2010-08-03 14:18:34 UTC
This bug also affects Fedora 13 (kdebase3-3.5.10-16.fc13.i686)
and earlier releases

Comment 3 Brendan Jones 2010-11-17 21:53:10 UTC
*** Bug 654368 has been marked as a duplicate of this bug. ***

Comment 4 Brian Millett 2011-08-13 13:46:55 UTC
It is also a bug of Fedora 15.


Running Transaction
  Updating   : 32:bind-license-9.8.0-9.P4.fc15.noarch                                                                   1/12 
  Updating   : 32:bind-libs-9.8.0-9.P4.fc15.x86_64                                                                      2/12 
  Updating   : 32:bind-utils-9.8.0-9.P4.fc15.x86_64                                                                     3/12 
  Updating   : 32:bind-libs-lite-9.8.0-9.P4.fc15.x86_64                                                                 4/12 
  Updating   : meld-1.5.2-1.fc15.noarch                                                                                 5/12 
  Updating   : nautilus-dropbox-0.6.9-1.fc10.x86_64                                                                     6/12 
ln: failed to create symbolic link `/usr/lib64/nautilus/extensions-3.0/libnautilus-dropbox.so': File exists
ln: failed to create symbolic link `/usr/lib64/nautilus/extensions-2.0/libnautilus-dropbox.so': File exists
Warning in file "/usr/share/applications/fedora-pcmanfm.desktop": usage of MIME type "x-directory/normal" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Error in file "/usr/share/applications/kde/printers.desktop": "print/manager" is an invalid MIME type ("print" is an unregistered media type)
Killing nautilus
  Cleanup    : 32:bind-libs-lite-9.8.0-7.P4.fc15.x86_64                                                                 7/12 
  Cleanup    : 32:bind-utils-9.8.0-7.P4.fc15.x86_64                                                                     8/12 
  Cleanup    : 32:bind-libs-9.8.0-7.P4.fc15.x86_64                                                                      9/12 
  Cleanup    : 32:bind-license-9.8.0-7.P4.fc15.noarch                                                                  10/12 
  Cleanup    : meld-1.5.1-1.fc15.noarch                                                                                11/12 
  Cleanup    : nautilus-dropbox-0.6.8-1.fc10.x86_64                                                                    12/12

Comment 5 Brian Millett 2011-08-13 13:49:20 UTC
Sorry, that error is generated when running:


[bpm]$ sudo update-desktop-database
Warning in file "/usr/share/applications/fedora-pcmanfm.desktop": usage of MIME type "x-directory/normal" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Error in file "/usr/share/applications/kde/printers.desktop": "print/manager" is an invalid MIME type ("print" is an unregistered media type)

Comment 6 Rex Dieter 2011-08-13 14:25:04 UTC
updating so this won't get auto-closed.

Comment 7 Kevin Kofler 2013-07-24 20:59:06 UTC
The distro with the green geckomeleon ;-) as a logo just patched out the offending MimeType= line:
https://build.opensuse.org/package/view_file/openSUSE:Factory/kdebase3/:?file=printmanager-desktop-fix.patch

Comment 8 Kevin Kofler 2013-11-09 00:46:24 UTC
I'm applying the patch from openSUSE so this warning finally goes away. I'm not totally convinced that it won't break anything, but this is KDE 3 stuff, so I doubt people would even notice if it did. ;-)

The testing instructions will be mainly verifying that "kprinter" still works, that's the printing frontend in kdebase3 which is probably the most useful app in there. (KDE 4 still has no equivalent to kprinter. :-( ) Bonus points for also checking printing in Quanta.

Comment 9 Kevin Kofler 2013-11-12 23:53:16 UTC
Unfortunately, the fix is stuck now because I can't build kdebase3 in Rawhide due to bug #1028849.

Comment 10 Fedora Update System 2014-01-12 18:16:51 UTC
kdebase3-3.5.10-33.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kdebase3-3.5.10-33.fc20

Comment 11 Fedora Update System 2014-01-12 18:17:32 UTC
kdebase3-3.5.10-33.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kdebase3-3.5.10-33.fc19

Comment 12 Fedora Update System 2014-01-14 08:46:37 UTC
Package kdebase3-3.5.10-33.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdebase3-3.5.10-33.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0769/kdebase3-3.5.10-33.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2014-01-22 23:02:53 UTC
kdebase3-3.5.10-33.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-01-22 23:05:46 UTC
kdebase3-3.5.10-33.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.